Subject: [bug#66171] [PATCH] gnu: git: Install shell completions.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 26 Sep 2023 12:36:09 -0400

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 25.09.2023 um 13:51 -0400 schrieb Maxim Cournoyer:
>> Hello,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > * gnu/packages/version-control.scm (git)[outputs]: Add
>> > “completion”.
>> > [#:phases]: Add ‘install-completion’.
>> > (git-minimal)[#:phases]: Adjust accordingly.
>> 
>> Did something change in git?  I've always had completion in git, so
>> I'm not sure what this extra phase does, or when it's useful?  Does
>> it add *extra* completion or... ?
> Which shell are you using?  If it's zsh, then the completion is baked
> in.  If it's bash, idk, I haven't tried.  I personally use this for the
> included git-prompt, which allows me to have my prompt look like the
> following:
>
>   \u@\h /path/to/guix [$branch env] ($SHLVL) \$

I see.  I use Bash.

>
>> Also, a completion output seems a bit over the top.  I doubt its
>> weigh justifies the annoyance of special casing it.
> I special-cased it because it *is* a contrib script, but also as it
> might be able to conflict with whatever shell builtins you have.  Now
> it isn't particularly likely to do so given that other distros include
> it as part of their git-core, but I prefer safe over sorry.

Ah, if it's just a contrib I guess a dedicated output is fine, although
i'd perhaps call such output 'contrib', as completions seem to imply
that without it there are no auto-completion support, which is clearly
not the case, at least for Bash.

-- 
Thanks,
Maxim